OSD deployment fails because openqaworker-arm-3.suse.de is not connected
2020-10-28 07:31 - Xiaojing_liu

Status: Resolved Start date: 2020-10-28
Priority: High Due date:

Assignee: okurz % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Ready

Description

Observation

opengaworker-arm-3.suse.de cannot be connected, so the OSD deployment failed.

opengaworker—arm-3.suse.de:
Minion did not return. [Not connected]

Workaround

Remove opengaworker-arm-3.suse.de from salt keys by running command
salt-key -d opengaworker-arm-3.suse.de

Suggestion

when opengaworker-arm-3.suse.de is online, please add it into salt keys

History

#1 - 2020-10-28 11:36 - okurz

- Status changed from New to Blocked
- Assignee set to okurz

- Priority changed from Normal to High

- Target version set to Ready

waiting for https:/infra.nue.suse.com/SelfService/Display.html?id=178773

#2 - 2020-10-29 09:27 - okurz

- Status changed from Blocked to Resolved

got the information in the Englnfra ticket that the machine was reset by mmabher. | can login over ssh and can confirm the machine is up. However it is
suffering from the same network problems as other hosts, see #75016 and #75274 and #73633 about this. So | did:

sudo salt-key —a opengaworker-arm-3.suse.de

sudo salt -1 error -C 'opengaworker—arm-3*' cmd.run 'echo -e "#!/bin/sh\nlogger poo#73633 workarounds\nsleep 3
00; systemctl --failed --no-legend | sed \"s/\s.*//\" | xargs —-—no-run-if-empty systemctl restart\nexit 0" > /
etc/init.d/boot.local && chmod +x /etc/init.d/boot.local && systemctl enable rc-local'

However no monitoring data in

https://stats.openga-monitor.qa.suse.de/d/1bNUQStZz/automatic-actions ?orgld=1&panelld=4&fullscreen&edit&tab=alert . | found out that the

"telegraf" service on this machlne was disabled. Did | do this elsewhere? Enabled the service again, waited like 30m and now both
